Pterodactyldocs
Client A P I

Update account email

Updates the authenticated user's email address after verifying their current password.

PUT/api/client/account/email
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/client/account/email" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "password": "current-password"  }'
Empty